<?php 
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
$ref = rand( 1000000, 1000000 );
require( "inc/conf.inc.php" );
require( "inc/check.php" );
$login = autorize();
$loginn = $login['login'];
echo "<title>Сообщение ".$data['name']."</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: none; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo ".cp { border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }";
echo ".dl { border-style:solid; border-width: 1px; color: #FFFFFF ; background-color: #FF0000 }";
echo "</style>";
echo "</head>";
echo "<body>";
$dbid = isset( $_POST['dbid'] ) || isset( $_GET['dbid'] ) ? $dbid : 0;
$dbid = intval( $dbid );
$q_u = @mysql_query( @"select * from users where id='{$dbid}';" );
if ( mysql_num_rows( $q_u ) == 0 )
{
echo "<div align=\"center\"><b>Сказать</b></div>";
echo "<form method=\"post\" action=\"room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">";
echo "<input name=\"msg\" size=\"20\" maxlength=\"150\"/><br/>";
if ($row['mcol']==1){
echo "<b>Цвет текста:</b><br/>";
echo "<select name=\"col\" title=\"send\">";
echo "<option value=\"0\">Системный</option>";
echo "<option value=\"1\">Синий</option>";
echo "<option value=\"2\">Зелёный</option>";
echo "<option value=\"3\">Голубой</option>";
echo "<option value=\"4\">Коричневый</option>";
echo "<option value=\"5\">Желтый</option>";
echo "<option value=\"6\">Чёрный</option>";
echo "<option value=\"7\">Красный</option>";
echo "</select><br/>";
}
#######
if ( $row['em'] == 1 ) {
echo "<b>Эмоцыи:</b><br/>";
echo "<select name=\"emotions\">";
echo "<option value=\"\" selected=\"selected\">Без эмошек</option>";
echo "<option value=\"[Радостно]\">Радостно</option>";
echo "<option value=\"[Печально]\">Печально</option>";
echo "<option value=\"[Удивлённо]\">Удивлённо</option>";
echo "<option value=\"[Задумчиво]\">Задумчиво</option>";
echo "<option value=\"[Ласково]\">Ласково</option>";
echo "<option value=\"[Приветливо]\">Приветливо</option>";
echo "<option value=\"[Шутя]\">Шутя</option>";
echo "<option value=\"Смеясь:)\">Смеясь</option>";
echo "<option value=\"С улыбкой:)\">С улыбкой</option>";
echo "<option value=\"[Смущённо]\">Смущённо</option>";
echo "<option value=\"[Обиженно]\">Обиженно</option>";
echo "<option value=\"[На ушко]\">На ушко</option>";
echo "<option value=\"[Крича]\">Крича</option>";
echo "<option value=\"[Злобно]\">Злобно</option>";
if ( 6 <= $level or $login['krutoj'])
{
echo "<option value=\"[Охуевая]\">Охуевая</option>";
}
if ( 7 <= $level or $login['krutoj'] or $login['prizrak'])
{
echo "<option value=\"[Посылая нахуй]\">Посылая нахуй</option>";
}
if($login['krutoj'])
{
echo "<option value=\"[Ставя пальцы веером]\">Ставя пальцы веером</option>";
}
if($login['prizrak'])
{
echo "<option value=\"[Непонятно по какому]\">Непонятно по какому</option>";
echo "<option value=\"[Йа есть ПрИзрОк мать Вашу :)]\">Йа есть ПрИзрОк мать Вашу :)</option>";
}
echo "</select><br/>";
}
/*#######
if ( 6 < $row['level']  or $login['krutoj'])
{
echo "<b>Выделение:</b><br/>";
echo "<select name=\"sel\" title=\"send\">";
echo "<option value=\"0\">Обычный</option>";
echo "<option value=\"1\">Жирный</option>";
echo "<option value=\"2\">Подчеркнуть</option>";
echo "<option value=\"3\">Курсивом</option>";
echo "</select><br/>";
}
#################*/
if ( $row['trans'] == 1 )
{
echo "<input name=\"translit\" type=\"checkbox\" value=\"1\">Транслит<br/>";
}
echo "<input value=\"Сказать\"  type=\"submit\" class=\"cp\"/></form>";
}
else
{
$data = @mysql_fetch_array( @$q_u );
$level = $row['level'];
$status = $data['status'];
$bogatstvo = $data['bogatstvo'];
$zags = $data['zags'];
$blog = $data['login'];
$ustat = $data['level'];
$baks= $data['baks'];
$telo = $data['krutoj'];
$prizrak = $data['prizrak'];
$sound =  $login['sound'] ;
$mcol = $data['mcol'];
$em = $data['em'];
$kupleno = $data['kupleno'];
$photo = "p".$dbid.".jpg";
$genij = $row['genij'];
////////////////////
if ( $prizrak == 0 )
{
$prizrak = "отсутствует";
}
if ( $prizrak == 1 )
{
$prizrak = "присутствует";
}
###############################*/
if ( $telo == 0 )
{
$telo = "простой житель";
}
else if ( $telo == 1 )
{
$telo = "Крутой чатланин";
}
//////////$bogatstvo
if ( $ustat < 3 )
{
$ustat = "Пользователи";
}
else if ( $ustat == 4 )
{
$ustat = "V.I.P.";
}
else if ( $ustat == 5 )
{
$ustat = "Модераторы";
}
else if ( $ustat == 6 )
{
$ustat = "Старшие модераторы";
}
else if ( $ustat == 7 )
{
$ustat = "Администраторы";
}
else if ( $ustat == 8 )
{
$ustat = "Главные администраторы";
}
else if ( $ustat ==9 )
{
$ustat = "Поддержка чата";
}
if($sound=="1")
{
echo "<!--h--><!--h--><a><bgsound src=\"sound/ringout.wav\"></br>";
}
echo "<div align=\"center\"><b>{$blog}</b></div>";
echo "<form method=\"post\" action=\"room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">";
echo "<input name=\"msg\" size=\"20\" maxlength=\"150\"/><br/>";
echo "<input type=\"hidden\" name=\"usn\" value=\"{$data['login']}\"/>";
if ($row['mcol']==1){
echo "Цвет текста:<br/>";
echo "<select name=\"col\" title=\"send\">";
echo "<option value=\"0\">Системный</option>";
echo "<option value=\"1\">Синий</option>";
echo "<option value=\"2\">Зелёный</option>";
echo "<option value=\"3\">Голубой</option>";
echo "<option value=\"4\">Коричневый</option>";
echo "<option value=\"5\">Желтый</option>";
echo "<option value=\"6\">Чёрный</option>";
echo "<option value=\"7\">Красный</option>";
echo "</select><br/>";
}
#######
if ( $row['em'] == 1 ) {
echo "<b>Эмоцыи:</b><br/>";
echo "<select name=\"emotions\">";
echo "<option value=\"\" selected=\"selected\">Без эмошек</option>";
echo "<option value=\"[Радостно]\">Радостно</option>";
echo "<option value=\"[Печально]\">Печально</option>";
echo "<option value=\"[Удивлённо]\">Удивлённо</option>";
echo "<option value=\"[Задумчиво]\">Задумчиво</option>";
echo "<option value=\"[Ласково]\">Ласково</option>";
echo "<option value=\"[Приветливо]\">Приветливо</option>";
echo "<option value=\"[Шутя]\">Шутя</option>";
echo "<option value=\"Смеясь:)\">Смеясь</option>";
echo "<option value=\"С улыбкой:)\">С улыбкой</option>";
echo "<option value=\"[Смущённо]\">Смущённо</option>";
echo "<option value=\"[Обиженно]\">Обиженно</option>";
echo "<option value=\"[На ушко]\">На ушко</option>";
echo "<option value=\"[Крича]\">Крича</option>";
echo "<option value=\"[Злобно]\">Злобно</option>";
if ( 6 <= $level or $login['krutoj'])
{
echo "<option value=\"[Охуевая]\">Охуевая</option>";
}
if ( 7 <= $level or $login['krutoj'] or $login['prizrak'])
{
echo "<option value=\"[Посылая нахуй]\">Посылая нахуй</option>";
}
if($login['krutoj'])
{
echo "<option value=\"[Ставя пальцы веером]\">Ставя пальцы веером</option>";
}
if($login['prizrak'])
{
echo "<option value=\"[Непонятно по какому]\">Непонятно по какому</option>";
echo "<option value=\"[Йа есть ПрИзрОк мать Вашу :)]\">Йа есть ПрИзрОк мать Вашу :)</option>";
}
echo "</select><br/>";
}
echo "Приват:<br/>";
echo "<select name=\"prt\" title=\"send\">";
echo "<option value=\"0\">Нет</option>";
echo "<option value=\"{$data['id']}\">Да</option>";
echo "</select><br/>";
if ( $row['trans'] == 1 )
{
echo "<input name=\"translit\" type=\"checkbox\" value=\"1\">Транслит<br/>";
}
{

if ( $row['checkbox'] == 1 )
echo "<input type=\"checkbox\" name=\"underline\" value=\"$(underline)\">Подчеркнуть<br/>";
if ( 4 <= $level or $login['krutoj'])
echo "<input type=\"checkbox\" name=\"underline\" value=\"$(underline)\">Подчеркнуть<br/>";
if ( 5 <= $level or $login['krutoj'])
echo "<input type=\"checkbox\" name=\"big\" value=\"$(big)\">Крупным<br/>";
if ( 6 <= $level or $login['krutoj'])
echo "<input type=\"checkbox\" name=\"bold\" value=\"$(bold)\">Жирным<br/>";
if ( 7 <= $level )
echo "<input type=\"checkbox\" name=\"blink\" value=\"$(blink)\">Мигающим<br/>";
if ( 7 <= $level or $login['krutoj'])
echo "<input type=\"checkbox\" name=\"italic\" value=\"$(italic)\">Курсивом<br/>";
if ( 7 <= $level or $login['krutoj'])
echo "<input type=\"checkbox\" name=\"small\" value=\"$(small)\">Мелким<br/>";
}
echo "<input value=\"Сказать\"  type=\"submit\" class=\"cp\"/></form>";
echo "<div><a href=\"mail/?id={$id}&amp;pass={$pass}&amp;mod=creat&amp;to={$blog}\">Написать письмо</a><br/>";
############
echo "<a href=\"my/ignornew.php?id={$id}&amp;pass={$pass}&amp;mod=addus&amp;to={$blog}&amp;ref={$ref}\">Добавить в игнор</a><br/>";
echo "<a href=\"my/drug.php?id={$id}&amp;pass={$pass}&amp;mod=addus&amp;to={$blog}&amp;ref={$ref}\">Добавить в друзья</a><br/>";
echo "<a href=\"my/vrag.php?id={$id}&amp;pass={$pass}&amp;mod=addus&amp;to={$blog}&amp;ref={$ref}\">Добавить в список врагов</a></div>";
###########*/
if ( $data['sex'] == "2" )
{
echo "<a href=\"zags/?id={$id}&amp;pass={$pass}&amp;mod=creat&amp;to={$blog}\">Засватать</a><br/>";
}
if ( 7 <= $level )
{
echo "<a href=\"cpanel/set.php?id={$id}&amp;pass={$pass}&amp;mod=creat&amp;to={$blog}\">Изменить данные</a><br/>";
}
echo "<div>";
require( "nastroj.php" );
###################
if ( $data['sex'] == "1" )
{
$sex = "Парень";
}
else if ( $data['sex'] == "2" )
{
$sex = "Девушка";
}
else
{
$sex = "неизвестно";
}
echo "<b>Имя:</b> ".$data['name']." <br/>";
echo "<b>Пол:</b> {$sex} <br/>";
//echo "<b>Статус:</b> {$status}<br/>";
echo "<b>Настроение:</b> {$nastroj} <br/>";
if ($dbid == 10)
{
echo "<b>Группа:</b> Пользователи<br/>";
}
else 
{ 
echo "<b>Группа:</b> {$ustat}<br/>"; 
}
echo "<b>Постов уш:</b> {$data['posts']}<br/>";
if ( $rm == 0 )
{
echo "<b>Наумничал:</b> {$data['vposts']} ответов.<br/>";
echo "<b>Из них купленых:</b> {$data['kupleno']}<br/>";
echo "<b>Награда:</b> {$genij}<br/>";
}
//////аватор///////
if ( file_exists( "loadavatars/{$photo}" ) )
{
echo "<img src=\"loadavatars/{$photo}\" width=128 alt=\"foto\"/><br/>";
}
/////////////
print "</a><b>Имущество:</b> <b>$bogatstvo</b> <br/>";
print "</a><b>В кошельке:</b> <b>$baks</b>- Баксов<br/>";
print "<b>Призрачность -</b> $prizrak<br/>";
print "<b>Привилегии -</b> $telo<br/>";
echo "<a href=\"user.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;dbid={$dbid}\"> <b>[".$row['login']."]</b> Здесь паспорт ".$data['login']."</a><br/>";
echo "</div>";
if ( 3 < $level )
{
echo "<br/><div>";
echo "<b>Ip:</b><br/>".$data['ip']."<br/>";
echo "<b>Браузер:</b><br/>".$data['browser']."<br/>";
echo "</div>";
echo "<form method=\"post\" action=\"cpanel/tools.php\">";
echo "<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>";
echo "<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/>";
echo "<input type=\"hidden\" name=\"rm\" value=\"{$rm}\"/>";
echo "<input type=\"hidden\" name=\"bid\" value=\"{$dbid}\"/>";
echo "<input type=\"submit\" name=\"kick\" class=\"cp\" value=\"Пнуть\"/><br/>";
if ( 4 < $level )
{
echo "<input type=\"submit\" name=\"ban\" class=\"cp\" value=\"Забанить по IP\"/>\r<br/>";
echo "<input type=\"submit\" name=\"banlogin\" class=\"cp\" value=\"Забанить по нику\"/>\r<br/>";
echo "<input type=\"submit\" name=\"bansoft\" class=\"cp\" value=\"Забанить по софту\"/>\r<br/>";
echo "<input type=\"submit\" name=\"ipsoft\" class=\"cp\" value=\"Забанить IP+софт\"/>\r<br/>";
}
if ( 7 <= $level )
{
echo "<input type=\"submit\" name=\"del\" class=\"dl\" value=\"Удалить нафик\"/>";
}
echo "</form>\n";
}
}
echo "---<br/>";
echo "<a href=\"room.php?id={$id}&amp;pass={$pass}&amp;rm={$rm}&amp;ref={$ref}\">В чатиг</a><br/>";
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожка</a><br/>";
$setting = @mysql_query ("Select * from setting where klu4='1'");
$set = mysql_fetch_array ($setting);if($set["link2"]!="") 
{
echo "<div class=\"d1\"><a href=\"http://".$set["link2"]."\">".$set["link2_name"]."</a></div>\n";
}
require("inc/coper.php");
?>